> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Issue coupon wallet pass

> Create or return the campaign Wallet link. One POST per campaign. Each visitor who opens claim_url receives the next available coupon code. Does not redeem the coupon.



## OpenAPI

````yaml POST /coupons/wallet-passes
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /coupons/wallet-passes:
    post:
      tags:
        - Coupons
      description: >-
        Create or return the campaign Wallet link. One POST per campaign. Each
        visitor who opens claim_url receives the next available coupon code.
        Does not redeem the coupon.
      operationId: issueCouponWalletPass
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - campaign_id
              properties:
                campaign_id:
                  type: string
                  format: uuid
                customer_id:
                  type: string
                code:
                  type: string
                template_id:
                  type: string
                  format: uuid
      responses:
        '200':
          description: Campaign Wallet link
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    required:
                      - campaign_id
                      - claim_url
                    properties:
                      campaign_id:
                        type: string
                        format: uuid
                      claim_url:
                        type: string
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.